Package com.collabnet.ce.soap60.webservices.scm

# Class ReplicaRepositorySoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.scm.ReplicaRepositorySoapRow

public class ReplicaRepositorySoapRow extends Object
List of repositories for replica.

Since:
  8.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PENDING`
  `static final String`
  `PENDING_REMOVAL`
  `static final String`
  `PREPARING`
  `static final String`
  `READY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReplicaRepositorySoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getReplicaId()`
  Returns 'replicaId'.
  `String`
  `getRepositoryId()`
  Returns 'repositoryId'.
  `String`
  `getStatus()`
  Returns 'status'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setReplicaId(String replicaId)`
  Sets 'replicaId'.
  `void`
  `setRepositoryId(String repositoryId)`
  Sets 'repositoryId'.
  `void`
  `setStatus(String status)`
  Sets 'status'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PREPARING

    public static final String PREPARING
    See Also:
      - Constant Field Values

  - ### READY

    public static final String READY
    See Also:
      - Constant Field Values

  - ### PENDING

    public static final String PENDING
    See Also:
      - Constant Field Values

  - ### PENDING_REMOVAL

    public static final String PENDING_REMOVAL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReplicaRepositorySoapRow

    public ReplicaRepositorySoapRow()

- ## Method Details

  - ### getReplicaId

    public String getReplicaId()
    Returns 'replicaId'.
    Returns:
      Value of 'replicaId'.

  - ### setReplicaId

    public void setReplicaId(String replicaId)
    Sets 'replicaId'.
    Parameters:
      `replicaId` - Value of 'replicaId'.

  - ### getRepositoryId

    public String getRepositoryId()
    Returns 'repositoryId'.
    Returns:
      Value of 'repositoryId'.

  - ### setRepositoryId

    public void setRepositoryId(String repositoryId)
    Sets 'repositoryId'.
    Parameters:
      `repositoryId` - Value of 'repositoryId'.

  - ### getStatus

    public String getStatus()
    Returns 'status'.
    Returns:
      Value of 'status'.

  - ### setStatus

    public void setStatus(String status)
    Sets 'status'.
    Parameters:
      `status` - Value of 'status'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)